<big>Encaissement</big><BR />
<?php
  switch($Etape)
  {
    case 0:
      Create_Recherche_Form(4,$NoVisu);
    break;
    case 1:
      Create_Recherche_Form(4,$NoVisu);
      Affiche_Resultat_Recherche_Form(4,$NoVisu);
    break;
    case 2:
      $ligne=Commande::getCommandeByNoCommande($NoCommande);
      switch($ligne["Type"])
      {
        case "AM":
        case "RV":
        case "ND":
        case "NB":
        case "NV":
        case "NO":
        case "NL":
          Valide_Encaissement($NoCommande,1);
          Gestion_Encaissement($NoCommande,1);
        break;
        case "FD":
        case "FB":
        case "FV":
        case "FO":
        case "FL":
        case "GF":
          Valide_Encaissement($NoCommande);
          Gestion_Encaissement($NoCommande);
        break;
        default:
          echo "Pas d'encaissement pour ce type de commande<BR>";
        break;
      }
    break;
    case 3:
      Valide_Encaissement($NoCommande);
    break;
    }
?>
